@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  ryo-adapter-micronaut startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and RYO_ADAPTER_MICRONAUT_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\ryo-adapter-micronaut-1.0.0.jar;%APP_HOME%\lib\micronaut-hibernate-jpa-1.1.0.jar;%APP_HOME%\lib\micronaut-liquibase-1.0.0.jar;%APP_HOME%\lib\micronaut-management-1.1.0.jar;%APP_HOME%\lib\micronaut-http-client-1.1.0.jar;%APP_HOME%\lib\micronaut-http-server-netty-1.1.0.jar;%APP_HOME%\lib\micronaut-graphql-1.0.1.jar;%APP_HOME%\lib\micronaut-http-server-1.1.0.jar;%APP_HOME%\lib\micronaut-runtime-1.1.0.jar;%APP_HOME%\lib\ryo-domain-1.0.0.jar;%APP_HOME%\lib\micronaut-hibernate-validator-1.1.0.jar;%APP_HOME%\lib\micronaut-spring-1.1.0.jar;%APP_HOME%\lib\micronaut-jdbc-hikari-1.1.0.jar;%APP_HOME%\lib\spring-orm-5.1.5.RELEASE.jar;%APP_HOME%\lib\spring-jdbc-5.1.5.RELEASE.jar;%APP_HOME%\lib\json-path-2.4.0.jar;%APP_HOME%\lib\ryo-commons-core-1.2.3.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.3.20.jar;%APP_HOME%\lib\jackson-module-kotlin-2.9.8.jar;%APP_HOME%\lib\kotlin-reflect-1.3.20.jar;%APP_HOME%\lib\micronaut-validation-1.1.0.jar;%APP_HOME%\lib\micronaut-http-netty-1.1.0.jar;%APP_HOME%\lib\micronaut-router-1.1.0.jar;%APP_HOME%\lib\micronaut-websocket-1.1.0.jar;%APP_HOME%\lib\micronaut-http-1.1.0.jar;%APP_HOME%\lib\micronaut-aop-1.1.0.jar;%APP_HOME%\lib\micronaut-jdbc-1.1.0.jar;%APP_HOME%\lib\micronaut-inject-1.1.0.jar;%APP_HOME%\lib\liquibase-core-3.6.2.jar;%APP_HOME%\lib\HikariCP-3.3.1.jar;%APP_HOME%\lib\graphql-java-12.0.jar;%APP_HOME%\lib\micronaut-buffer-netty-1.1.0.jar;%APP_HOME%\lib\micronaut-core-1.1.0.jar;%APP_HOME%\lib\natty-0.13.jar;%APP_HOME%\lib\logback-classic-1.2.3.jar;%APP_HOME%\lib\slf4j-api-1.7.25.jar;%APP_HOME%\lib\hibernate-validator-6.0.13.Final.jar;%APP_HOME%\lib\validation-api-2.0.1.Final.jar;%APP_HOME%\lib\jackson-datatype-jdk8-2.9.8.jar;%APP_HOME%\lib\jackson-datatype-jsr310-2.9.8.jar;%APP_HOME%\lib\jackson-databind-2.9.8.jar;%APP_HOME%\lib\rxjava-2.2.6.jar;%APP_HOME%\lib\hibernate-core-5.4.0.Final.jar;%APP_HOME%\lib\javax.persistence-api-2.2.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\commons-beanutils-1.9.3.jar;%APP_HOME%\lib\mapstruct-1.3.0.Final.jar;%APP_HOME%\lib\commons-io-2.6.jar;%APP_HOME%\lib\java-uuid-generator-3.2.0.jar;%APP_HOME%\lib\reflections-0.9.11.jar;%APP_HOME%\lib\hibernate-types-52-2.4.3.jar;%APP_HOME%\lib\javax.el-3.0.1-b08.jar;%APP_HOME%\lib\jaxb-runtime-2.3.1.jar;%APP_HOME%\lib\jaxb-api-2.3.1.jar;%APP_HOME%\lib\netty-handler-proxy-4.1.30.Final.jar;%APP_HOME%\lib\spring-tx-5.1.5.RELEASE.jar;%APP_HOME%\lib\spring-context-5.1.5.RELEASE.jar;%APP_HOME%\lib\spring-aop-5.1.5.RELEASE.jar;%APP_HOME%\lib\spring-beans-5.1.5.RELEASE.jar;%APP_HOME%\lib\spring-expression-5.1.5.RELEASE.jar;%APP_HOME%\lib\spring-core-5.1.5.RELEASE.jar;%APP_HOME%\lib\json-smart-2.3.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.3.20.jar;%APP_HOME%\lib\kotlin-stdlib-1.3.20.jar;%APP_HOME%\lib\javax.annotation-api-1.3.2.jar;%APP_HOME%\lib\snakeyaml-1.23.jar;%APP_HOME%\lib\jackson-annotations-2.9.8.jar;%APP_HOME%\lib\jackson-core-2.9.8.jar;%APP_HOME%\lib\reactive-streams-1.0.2.jar;%APP_HOME%\lib\mbassador-1.3.2.jar;%APP_HOME%\lib\guava-27.0.1-jre.jar;%APP_HOME%\lib\joda-time-2.10.jar;%APP_HOME%\lib\hashids-1.0.3.jar;%APP_HOME%\lib\commons-lang3-3.8.1.jar;%APP_HOME%\lib\ical4j-1.0.2.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\commons-collections-3.2.2.jar;%APP_HOME%\lib\hibernate-commons-annotations-5.1.0.Final.jar;%APP_HOME%\lib\jboss-logging-3.3.2.Final.jar;%APP_HOME%\lib\javassist-3.24.0-GA.jar;%APP_HOME%\lib\byte-buddy-1.9.5.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\jboss-transaction-api_1.2_spec-1.1.1.Final.jar;%APP_HOME%\lib\jandex-2.0.5.Final.jar;%APP_HOME%\lib\classmate-1.3.4.jar;%APP_HOME%\lib\javax.activation-api-1.2.0.jar;%APP_HOME%\lib\dom4j-2.1.1.jar;%APP_HOME%\lib\netty-codec-http-4.1.30.Final.jar;%APP_HOME%\lib\netty-handler-4.1.30.Final.jar;%APP_HOME%\lib\netty-codec-socks-4.1.30.Final.jar;%APP_HOME%\lib\netty-codec-4.1.30.Final.jar;%APP_HOME%\lib\netty-transport-4.1.30.Final.jar;%APP_HOME%\lib\antlr4-runtime-4.7.2.jar;%APP_HOME%\lib\java-dataloader-2.1.1.jar;%APP_HOME%\lib\spring-jcl-5.1.5.RELEASE.jar;%APP_HOME%\lib\accessors-smart-1.2.jar;%APP_HOME%\lib\kotlin-stdlib-common-1.3.20.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\failureaccess-1.0.1.jar;%APP_HOME%\lib\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;%APP_HOME%\lib\checker-qual-2.5.2.jar;%APP_HOME%\lib\error_prone_annotations-2.2.0.jar;%APP_HOME%\lib\j2objc-annotations-1.1.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.17.jar;%APP_HOME%\lib\antlr-runtime-3.5.2.jar;%APP_HOME%\lib\logback-core-1.2.3.jar;%APP_HOME%\lib\txw2-2.3.1.jar;%APP_HOME%\lib\istack-commons-runtime-3.0.7.jar;%APP_HOME%\lib\stax-ex-1.8.jar;%APP_HOME%\lib\FastInfoset-1.2.15.jar;%APP_HOME%\lib\netty-buffer-4.1.30.Final.jar;%APP_HOME%\lib\netty-resolver-4.1.30.Final.jar;%APP_HOME%\lib\asm-5.0.4.jar;%APP_HOME%\lib\commons-codec-1.5.jar;%APP_HOME%\lib\commons-lang-2.6.jar;%APP_HOME%\lib\backport-util-concurrent-3.1.jar;%APP_HOME%\lib\netty-common-4.1.30.Final.jar

@rem Execute ryo-adapter-micronaut
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %RYO_ADAPTER_MICRONAUT_OPTS%  -classpath "%CLASSPATH%" org.ryoframework.micronaut.NoApp %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable RYO_ADAPTER_MICRONAUT_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%RYO_ADAPTER_MICRONAUT_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
